;angular.module('Landers.angular')
    .directive('remedySelect', function() {
        return {
            restrict : 'A',
            link : function($scope, $element, $attrs){
                var allow_mouseout = true;
                var blur_click = function(){
                    allow_mouseout = false;
                    setTimeout(function(){allow_mouseout = true;}, 100);
                };
                $element.mouseover(function(){
                    $(this).addClass('onhover');
                })
                .mouseout(function(){
                    if (allow_mouseout) {
                        $(this).removeClass('onhover onfocus');
                    }
                })
                .blur(function(){
                    blur_click();
                    $(this).removeClass('onhover onfocus');
                })
                .click(function(){
                    blur_click();
                    $(this).addClass('onfocus').removeClass('onhover');
                });
            }
        };
    });