;angular.module('Landers.angular')
    .factory('Helpers', ['Flat', function(Flat){
        return {
            // seekScopeByDeep:function(scope, deep) {
            //     deep = parseInt(deep);
            //     var myScope = scope;
            //     if (!deep) return myScope;
            //     for (var i = 1; i <= deep; i++) {
            //         if (myScope.$parent) {
            //             myScope = myScope.$parent;
            //         } else {
            //             break;
            //         }
            //     }
            //     return myScope;
            // },

            seekScope : function(scope, parentId) {
                var myScope = scope;
                if ( !parentId) return myScope;
                while (myScope.$id != parentId) {
                    if (myScope.$parent) {
                        myScope = myScope.$parent;
                    } else {
                        break;
                    }
                }
                return myScope;
            },
            toJqEle : function($event) {
                if (!$event) return $();
                var obj = angular.isElement($event) ? $event : $event.target;
                return angular.element(obj);
            },
            disable : function($event){
                $event = this.toJqEle($event);
                return Landers.helpers.disable($event);
            },
            enable : function($event) {
                $event = this.toJqEle($event);
                return Landers.helpers.enable($event);
            },
            // showFormErrors : function(scope, key, rspn) {
            //     var errors = rspn.errors;
            //     if (errors) {
            //         for (var k in errors) {
            //             var datakey = ['$errors', key, k].join('.');
            //             Flat.set(scope, datakey, errors[k][0]);
            //         }
            //     }
            //     rspn.message = rspn.message || '提交的数据还存在不足！';
            //     Landers.response.msgbox(rspn);
            // },
            // clearFormErrors : function(scope, key) {
            //     Flat.set(scope, key + '.errors', {} );
            // },
            domainUrl : function(domainUrl, url) {
                if (!domainUrl) return url;
                var len = domainUrl.length;
                var pre = Landers.utils.str.left(url, len);
                if (pre === domainUrl) return url;
                else return domainUrl + url;
            }
        };
    }]);