;angular.module('Landers.angular')
    .factory('InjectService', ['$ocLazyLoad', '$injector', function($ocLazyLoad, $injector){
        var injected = {};
        return {
            urls:function(urls, callback){
                $ocLazyLoad.load(urls).then(callback);
            },
            module : function(urls, injects) {
                if (!angular.isArray(injects)) {
                    injects = [injects];
                }
                var key = urls.join('.');
                if ( injected[key] ) {
                    callback && callback(injected[key]);
                } else {
                    this.urls(urls, function(){
                        $injector.invoke(injects);
                    });
                }
            }
        };
    }]);